<div class="front_page_section front_page_section_googlemap<?php
			$alhambra_scheme = alhambra_get_theme_option('front_page_googlemap_scheme');
			if (!alhambra_is_inherit($alhambra_scheme)) echo ' scheme_'.esc_attr($alhambra_scheme);
			echo ' front_page_section_paddings_'.esc_attr(alhambra_get_theme_option('front_page_googlemap_paddings'));
		?>"<?php
		$alhambra_css = '';
		$alhambra_bg_image = alhambra_get_theme_option('front_page_googlemap_bg_image');
		if (!empty($alhambra_bg_image)) 
			$alhambra_css .= 'background-image: url('.esc_url(alhambra_get_attachment_url($alhambra_bg_image)).');';
		if (!empty($alhambra_css))
			echo " style=\"{$alhambra_css}\"";
?>><?php
	// Add anchor
	$alhambra_anchor_icon = alhambra_get_theme_option('front_page_googlemap_anchor_icon');	
	$alhambra_anchor_text = alhambra_get_theme_option('front_page_googlemap_anchor_text');	
	if ((!empty($alhambra_anchor_icon) || !empty($alhambra_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_googlemap"'
										. (!empty($alhambra_anchor_icon) ? ' icon="'.esc_attr($alhambra_anchor_icon).'"' : '')
										. (!empty($alhambra_anchor_text) ? ' title="'.esc_attr($alhambra_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_googlemap_inner"<?php
			$alhambra_css = '';
			$alhambra_bg_mask = alhambra_get_theme_option('front_page_googlemap_bg_mask');
			$alhambra_bg_color = alhambra_get_theme_option('front_page_googlemap_bg_color');
			if (!empty($alhambra_bg_color) && $alhambra_bg_mask > 0)
				$alhambra_css .= 'background-color: '.esc_attr($alhambra_bg_mask==1
																	? $alhambra_bg_color
																	: alhambra_hex2rgba($alhambra_bg_color, $alhambra_bg_mask)
																).';';
			if (!empty($alhambra_css))
				echo " style=\"{$alhambra_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap<?php
			$alhambra_layout = alhambra_get_theme_option('front_page_googlemap_layout');
			if ($alhambra_layout != 'fullwidth')
				echo ' content_wrap';
		?>">
			<?php
			// Content wrap with title and description
			$alhambra_caption = alhambra_get_theme_option('front_page_googlemap_caption');
			$alhambra_description = alhambra_get_theme_option('front_page_googlemap_description');
			if (!empty($alhambra_caption) || !empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				if ($alhambra_layout == 'fullwidth') {
					?><div class="content_wrap"><?php
				}
					// Caption
					if (!empty($alhambra_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo !empty($alhambra_caption) ? 'filled' : 'empty'; ?>"><?php
							echo wp_kses_post($alhambra_caption);
						?></h2><?php
					}
				
					// Description (text)
					if (!empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
						?><div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo !empty($alhambra_description) ? 'filled' : 'empty'; ?>"><?php
							echo wpautop(wp_kses_post($alhambra_description));
						?></div><?php
					}
				if ($alhambra_layout == 'fullwidth') {
					?></div><?php
				}
			}

			// Content (text)
			$alhambra_content = alhambra_get_theme_option('front_page_googlemap_content');
			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo !empty($alhambra_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($alhambra_content);
				?></div><?php
			}

			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Widgets output
			?><div class="front_page_section_output front_page_section_googlemap_output"><?php 
				if (is_active_sidebar('front_page_googlemap_widgets')) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} else if (current_user_can( 'edit_theme_options' )) {
					if (!alhambra_exists_trx_addons())
						alhambra_customizer_need_trx_addons_message();
					else
						alhambra_customizer_need_widgets_message('front_page_googlemap_caption', 'ThemeREX Addons - Google map');
				}
			?></div><?php

			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>