<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

						// Widgets area inside page content
						alhambra_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					alhambra_create_widgets_area('widgets_below_page');

					$alhambra_body_style = alhambra_get_theme_option('body_style');
					if ($alhambra_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$alhambra_footer_style = alhambra_get_theme_option("footer_style");
			if (strpos($alhambra_footer_style, 'footer-custom-')===0)
				$alhambra_footer_style = alhambra_is_layouts_available() ? 'footer-custom' : 'footer-default';
			get_template_part( "templates/{$alhambra_footer_style}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (alhambra_is_on(alhambra_get_theme_option('debug_mode')) && alhambra_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(alhambra_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>