<div class="front_page_section front_page_section_contacts<?php
			$alhambra_scheme = alhambra_get_theme_option('front_page_contacts_scheme');
			if (!alhambra_is_inherit($alhambra_scheme)) echo ' scheme_'.esc_attr($alhambra_scheme);
			echo ' front_page_section_paddings_'.esc_attr(alhambra_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$alhambra_css = '';
		$alhambra_bg_image = alhambra_get_theme_option('front_page_contacts_bg_image');
		if (!empty($alhambra_bg_image)) 
			$alhambra_css .= 'background-image: url('.esc_url(alhambra_get_attachment_url($alhambra_bg_image)).');';
		if (!empty($alhambra_css))
			echo " style=\"{$alhambra_css}\"";
?>><?php
	// Add anchor
	$alhambra_anchor_icon = alhambra_get_theme_option('front_page_contacts_anchor_icon');	
	$alhambra_anchor_text = alhambra_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($alhambra_anchor_icon) || !empty($alhambra_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($alhambra_anchor_icon) ? ' icon="'.esc_attr($alhambra_anchor_icon).'"' : '')
										. (!empty($alhambra_anchor_text) ? ' title="'.esc_attr($alhambra_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner"<?php
			$alhambra_css = '';
			$alhambra_bg_mask = alhambra_get_theme_option('front_page_contacts_bg_mask');
			$alhambra_bg_color = alhambra_get_theme_option('front_page_contacts_bg_color');
			if (!empty($alhambra_bg_color) && $alhambra_bg_mask > 0)
				$alhambra_css .= 'background-color: '.esc_attr($alhambra_bg_mask==1
																	? $alhambra_bg_color
																	: alhambra_hex2rgba($alhambra_bg_color, $alhambra_bg_mask)
																).';';
			if (!empty($alhambra_css))
				echo " style=\"{$alhambra_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$alhambra_caption = alhambra_get_theme_option('front_page_contacts_caption');
			$alhambra_description = alhambra_get_theme_option('front_page_contacts_description');
			if (!empty($alhambra_caption) || !empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($alhambra_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($alhambra_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($alhambra_caption);
					?></h2><?php
				}
			
				// Description
				if (!empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($alhambra_description) ? 'filled' : 'empty'; ?>"><?php
						echo wpautop(wp_kses_post($alhambra_description));
					?></div><?php
				}
			}

			// Content (text)
			$alhambra_content = alhambra_get_theme_option('front_page_contacts_content');
			$alhambra_layout = alhambra_get_theme_option('front_page_contacts_layout');
			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($alhambra_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($alhambra_content);
				?></div><?php
			}

			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$alhambra_sc = alhambra_get_theme_option('front_page_contacts_shortcode');
			if (!empty($alhambra_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($alhambra_sc) ? 'filled' : 'empty'; ?>"><?php
					alhambra_show_layout(do_shortcode($alhambra_sc));
				?></div><?php
			}

			if ($alhambra_layout == 'columns' && (!empty($alhambra_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>