<div class="front_page_section front_page_section_woocommerce<?php
			$alhambra_scheme = alhambra_get_theme_option('front_page_woocommerce_scheme');
			if (!alhambra_is_inherit($alhambra_scheme)) echo ' scheme_'.esc_attr($alhambra_scheme);
			echo ' front_page_section_paddings_'.esc_attr(alhambra_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$alhambra_css = '';
		$alhambra_bg_image = alhambra_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($alhambra_bg_image)) 
			$alhambra_css .= 'background-image: url('.esc_url(alhambra_get_attachment_url($alhambra_bg_image)).');';
		if (!empty($alhambra_css))
			echo " style=\"{$alhambra_css}\"";
?>><?php
	// Add anchor
	$alhambra_anchor_icon = alhambra_get_theme_option('front_page_woocommerce_anchor_icon');	
	$alhambra_anchor_text = alhambra_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($alhambra_anchor_icon) || !empty($alhambra_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($alhambra_anchor_icon) ? ' icon="'.esc_attr($alhambra_anchor_icon).'"' : '')
										. (!empty($alhambra_anchor_text) ? ' title="'.esc_attr($alhambra_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner"<?php
			$alhambra_css = '';
			$alhambra_bg_mask = alhambra_get_theme_option('front_page_woocommerce_bg_mask');
			$alhambra_bg_color = alhambra_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($alhambra_bg_color) && $alhambra_bg_mask > 0)
				$alhambra_css .= 'background-color: '.esc_attr($alhambra_bg_mask==1
																	? $alhambra_bg_color
																	: alhambra_hex2rgba($alhambra_bg_color, $alhambra_bg_mask)
																).';';
			if (!empty($alhambra_css))
				echo " style=\"{$alhambra_css}\"";
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$alhambra_caption = alhambra_get_theme_option('front_page_woocommerce_caption');
			$alhambra_description = alhambra_get_theme_option('front_page_woocommerce_description');
			if (!empty($alhambra_caption) || !empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($alhambra_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($alhambra_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($alhambra_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($alhambra_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($alhambra_description) ? 'filled' : 'empty'; ?>"><?php
						echo wpautop(wp_kses_post($alhambra_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$alhambra_woocommerce_sc = alhambra_get_theme_option('front_page_woocommerce_products');
				if ($alhambra_woocommerce_sc == 'products') {
					$alhambra_woocommerce_sc_ids = alhambra_get_theme_option('front_page_woocommerce_products_per_page');
					$alhambra_woocommerce_sc_per_page = count(explode(',', $alhambra_woocommerce_sc_ids));
				} else {
					$alhambra_woocommerce_sc_per_page = max(1, (int) alhambra_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$alhambra_woocommerce_sc_columns = max(1, min($alhambra_woocommerce_sc_per_page, (int) alhambra_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$alhambra_woocommerce_sc}"
									. ($alhambra_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($alhambra_woocommerce_sc_ids).'"' 
											: '')
									. ($alhambra_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(alhambra_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($alhambra_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(alhambra_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(alhambra_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($alhambra_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($alhambra_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>