<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('alhambra_mailchimp_get_css')) {
	add_filter('alhambra_filter_get_css', 'alhambra_mailchimp_get_css', 10, 4);
	function alhambra_mailchimp_get_css($css, $colors, $fonts, $scheme='') {
		
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS

CSS;
		
			
			$rad = alhambra_get_border_radius();
			$css['fonts'] .= <<<CSS

.mc4wp-form .mc4wp-form-fields input[type="email"],
.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	-webkit-border-radius: {$rad};
	    -ms-border-radius: {$rad};
			border-radius: {$rad};
}

CSS;
		}

		
		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

.mc4wp-form input[type="email"] {
	background-color: {$colors['inverse_text']};
	border-color: {$colors['inverse_text']};
	color: {$colors['alter_dark']};
}



.mc4wp-form input[type="email"]::-webkit-input-placeholder { color: {$colors['alter_dark']};opacity: 1; }
.mc4wp-form input[type="email"]::-moz-placeholder          { color: {$colors['alter_dark']}; opacity: 1;}
.mc4wp-form input[type="email"]:-moz-placeholder          { color: {$colors['alter_dark']}; opacity: 1;}
.mc4wp-form input[type="email"]:-ms-input-placeholder      { color: {$colors['alter_dark']}; opacity: 1;}

.mc4wp-form .mc4wp-alert {
	background-color: {$colors['text_link']};
	border-color: {$colors['text_hover']};
	color: {$colors['inverse_text']};
}
.mc4wp-form input[type="submit"]{
	background-color: {$colors['alter_dark']};
	color: {$colors['inverse_text']};
}
.mc4wp-form input[type="submit"]:hover{
	background-color: {$colors['text_hover']};
	color: {$colors['inverse_text']};
}

.mc4wp-form .mc4wp-alert a {
	color: {$colors['text_hover']};
}
.mc4wp-form .mc4wp-alert a:hover {
	color: {$colors['inverse_text_07']};
}



CSS;
		}

		return $css;
	}
}
?>