<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( !function_exists( 'alhambra_trx_donations_get_css' ) ) {
	add_filter( 'alhambra_filter_get_css', 'alhambra_trx_donations_get_css', 10, 4 );
	function alhambra_trx_donations_get_css($css, $colors, $fonts, $scheme='') {
		if (isset($css['fonts']) && $fonts) {
			$css['fonts'] .= <<<CSS
CSS;
		}

		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS

		.post_info_donations .middle {
			background-color:{$colors['extra_bg_color']};
		}
		.post_info_donations .middle span.label_units {
			color:{$colors['text_hover']};
		}
		.post_info_donations .middle  span.bar_units{
			background-color:{$colors['text_hover']};
		}
		.post_counters_number_raised {
			color:{$colors['inverse_text']};
		}
		input[type="radio"]:checked + label:before{
			color:{$colors['text_link']};
		}
		input[type="checkbox"]:checked + label.sc_donations_form_rating_label:before{
			color:{$colors['text_link']};
		}
		.sc_donations_form_field_note{
			background-color:{$colors['text_link2']};
			border-color:{$colors['text_link2']};
			color:{$colors['extra_light']};
		}
		.sc_donations_form_field_note b{
			color:{$colors['inverse_text']};
		}
		.single-donation .nav-links .nav-previous a:hover .post-title, .single-donation .nav-links .nav-next a:hover .post-title{
			color:{$colors['text_link']};
		}
		.post_type_donation.post_item_single .post_sidebar .post_raised .post_raised_amount{
			color:{$colors['text_link']};
		}
		.post_type_donation.post_item_single .post_sidebar .post_help{
			color:{$colors['text_light']};
		}
		.post_type_donation.post_item_single .post_sidebar .post_supporters .post_supporters_count{
			color:{$colors['text_light']};
		}



CSS;
		}
		
		return $css;
	}
}
?>