<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0.10
 */

// Copyright area
$alhambra_footer_scheme =  alhambra_is_inherit(alhambra_get_theme_option('footer_scheme')) ? alhambra_get_theme_option('color_scheme') : alhambra_get_theme_option('footer_scheme');
$alhambra_copyright_scheme = alhambra_is_inherit(alhambra_get_theme_option('copyright_scheme')) ? $alhambra_footer_scheme : alhambra_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($alhambra_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$alhambra_copyright = alhambra_prepare_macros(alhambra_get_theme_option('copyright'));
				if (!empty($alhambra_copyright)) {
					alhambra_show_layout(do_shortcode(str_replace(array('{{Y}}', '{Y}'), date('Y'), alhambra_get_theme_option('copyright'))));
				}
				?></div>
		</div>
	</div>
</div>
