<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr(alhambra_get_theme_option('menu_mobile_fullscreen') > 0 ? 'fullscreen' : 'narrow'); ?> scheme_dark">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a><?php

		// Logo
		set_query_var('alhambra_logo_args', array('type' => 'mobile'));
		get_template_part( 'templates/header-logo' );
		set_query_var('alhambra_logo_args', array());

		// Mobile menu
		$alhambra_menu_mobile = alhambra_get_nav_menu('menu_mobile');
		if (empty($alhambra_menu_mobile)) {
			$alhambra_menu_mobile = apply_filters('alhambra_filter_get_mobile_menu', '');
			if (empty($alhambra_menu_mobile)) $alhambra_menu_mobile = alhambra_get_nav_menu('menu_main');
			if (empty($alhambra_menu_mobile)) $alhambra_menu_mobile = alhambra_get_nav_menu();
		}
		if (!empty($alhambra_menu_mobile)) {
			if (!empty($alhambra_menu_mobile))
				$alhambra_menu_mobile = str_replace(
					array('menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile'),
					array('menu_mobile', 'id="menu_mobile-', '', '', ''),
					$alhambra_menu_mobile
					);
			if (strpos($alhambra_menu_mobile, '<nav ')===false)
				$alhambra_menu_mobile = sprintf('<nav class="menu_mobile_nav_area">%s</nav>', $alhambra_menu_mobile);
			alhambra_show_layout(apply_filters('alhambra_filter_menu_mobile_layout', $alhambra_menu_mobile));
		}


		?>
	</div>
</div>
