<?php
/**
 * The template to display the main menu
 *
 * @package WordPress
 * @subpackage ALHAMBRA
 * @since ALHAMBRA 1.0
 */

$alhambra_top_panel_text_address = alhambra_get_theme_option('top_panel_text_address');
$alhambra_top_panel_text_phone = alhambra_get_theme_option('top_panel_text_phone');



?>



<div class="top_panel_default_top">
	<div class="content_wrap top_panel_default_header">
		<div class="columns_wrap">
			<div class="sc_layouts_column top_panel_default_right sc_layouts_column sc_layouts_column_align_right column-1_1">
				<div class="top_panel_default_phone">
				<?php
				alhambra_show_layout($alhambra_top_panel_text_phone);
				?>
				</div>
					<div class="top_panel_default_address">
				<?php
				alhambra_show_layout($alhambra_top_panel_text_address);
				?>
					</div>
			</div>
		</div>
	</div>
</div>



<div class="top_panel_navi sc_layouts_row sc_layouts_row_type_compact sc_layouts_row_fixed sc_layouts_row_delimiter
			scheme_<?php echo esc_attr(alhambra_is_inherit(alhambra_get_theme_option('menu_scheme')) 
												? (alhambra_is_inherit(alhambra_get_theme_option('header_scheme')) 
													? alhambra_get_theme_option('color_scheme') 
													: alhambra_get_theme_option('header_scheme')) 
												: alhambra_get_theme_option('menu_scheme')); ?>">
	<div class="content_wrap">
		<div class="columns_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_left sc_layouts_column_icons_position_left column-1_4">
				<?php
				// Logo
				?><div class="sc_layouts_item"><?php
					get_template_part( 'templates/header-logo' );
				?></div>
			</div><?php
			
			// Attention! Don't place any spaces between columns!
			?><div class="sc_layouts_column sc_layouts_column_align_right sc_layouts_column_icons_position_left column-3_4">
				<div class="sc_layouts_item">
					<?php
					// Main menu
					$alhambra_menu_main = alhambra_get_nav_menu(array(
						'location' => 'menu_main', 
						'class' => 'sc_layouts_menu sc_layouts_menu_default sc_layouts_hide_on_mobile'
						)
					);
					if (empty($alhambra_menu_main)) {
						$alhambra_menu_main = alhambra_get_nav_menu(array(
							'class' => 'sc_layouts_menu sc_layouts_menu_default sc_layouts_hide_on_mobile'
							)
						);
					}
					alhambra_show_layout($alhambra_menu_main);
					// Mobile menu button
					?>
					<div class="sc_layouts_iconed_text sc_layouts_menu_mobile_button">
						<a class="sc_layouts_item_link sc_layouts_iconed_text_link" href="#">
							<span class="sc_layouts_item_icon sc_layouts_iconed_text_icon trx_addons_icon-menu"></span>
						</a>
					</div>
				</div>
			</div>
		</div><!-- /.sc_layouts_row -->
	</div><!-- /.content_wrap -->
</div><!-- /.top_panel_navi -->